#INCLUDE "dislin.bi"

DIM AS STRING ctit = "Vectors"
DIM AS INTEGER ivec(19)  =                                _
           {0, 1111, 1311, 1421, 1531, 1701, 1911,        _
            3111, 3311, 3421, 3531, 3703, 4221, 4302,     _
            4413, 4522, 4701, 5312, 5502, 5703}
DIM AS INTEGER i, nl, nx, ny
DIM AS SINGLE  v

Dislin.metafl ("cons")
Dislin.disini ()
Dislin.pagera ()
Dislin.hwfont ()

Dislin.height (60)
nl = Dislin.nlmess (ctit)
Dislin.messag (ctit, (2970 - nl)/2, 200)

Dislin.height (50)
nx = 300
ny = 400

FOR i = 0 TO 19
  IF i = 10 THEN
    nx += 2970 / 2
    ny = 400
  END IF
  v = ivec(i)
  nl = Dislin.nlnumb (v, -1)
  Dislin.number (v, -1, nx - nl, ny - 25)

  Dislin.vector (nx + 100, ny, nx + 1000, ny, ivec(i))
  ny += 160
NEXT i
Dislin.disfin ()
END

